MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025850Open CASCADE[OCCT] OCCT:Configurationpublic2015-02-20 17:312015-05-14 15:31
Reporteroan 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025850: Installation procedure fails to find *.pdb files in debug mode in case of projects generated using CMake
DescriptionIn case if BUILD_–°ONFIGURATION variable set to Debug, installation procedure fails to find *.pdb files. The following message is prompted:

2> CMake Error at adm/cmake/TKernel/cmake_install.cmake:68 (FILE):
2> file INSTALL cannot find
2> "D:/OpenCascade/OcctJt/build/out/bind/Debug/TKernel.pdb".
2> Call Stack (most recent call first):
2> cmake_install.cmake:248 (INCLUDE)

Note that path is "D:/OpenCascade/OcctJt/build/out/bind/Debug/TKernel.pdb" instead of "D:/OpenCascade/OcctJt/build/out/bind/TKernel.pdb"
Steps To ReproduceRun CMake gui
set BUILD_FoundationClasses=TRUE
set BUILD_–°ONFIGURATION=Debug

configure/generate
build libraries
try to build "install" project
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0037758)
ibs (developer)
2015-02-20 18:07

dear oan,
please use CR25850 WOK branch (osutils.tcl) in your current WOK and regenerate cmake projects
(0038130)
ibs (developer)
2015-03-05 11:43
edited on: 2015-03-05 11:45

dear bugmaster, please integrate CR25850 WOK branch and close the issue

(0038758)
bugmaster (administrator)
2015-03-20 17:08

Fix has been integrated into master of occt-wok repository

- Issue History
Date Modified Username Field Change
2015-02-20 17:31 oan New Issue
2015-02-20 17:31 oan Assigned To => ibs
2015-02-20 17:31 oan Status new => assigned
2015-02-20 17:47 ibs Assigned To ibs => ski
2015-02-20 18:07 ibs Note Added: 0037758
2015-02-20 18:07 ibs Assigned To ski => oan
2015-02-20 18:07 ibs Status assigned => resolved
2015-03-05 11:43 ibs Note Added: 0038130
2015-03-05 11:43 ibs Assigned To oan => bugmaster
2015-03-05 11:43 ibs Status resolved => reviewed
2015-03-05 11:43 ibs Severity minor => trivial
2015-03-05 11:43 ibs Product Version => 6.8.0
2015-03-05 11:45 ibs Note Edited: 0038130 View Revisions
2015-03-20 17:08 bugmaster Note Added: 0038758
2015-03-20 17:08 bugmaster Status reviewed => verified
2015-03-20 17:08 bugmaster Resolution open => fixed
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker